package com.bocloud.ims.entity.common;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 业务资源池关系表
 *
 * @author wangyu
 * @version 4.1.0-SNAPSHOT
 * @since 2018/12/25
 */
@Table("business_pool")
public class BusinessPool extends Generic {

    @PK(PKStrategy.AUTO)
    private Long id;
    @Column("business_id")
    private Long businessId;
    @Column("pool_group_id")
    private Long poolGroupId;

    /**
     *
     */
    public BusinessPool() {
    }

    /**
     * @param businessId
     * @param poolGroupId
     */
    public BusinessPool(Long businessId, Long poolGroupId) {
        this.businessId = businessId;
        this.poolGroupId = poolGroupId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getBusinessId() {
        return businessId;
    }

    public void setBusinessId(Long businessId) {
        this.businessId = businessId;
    }

    public Long getPoolGroupId() {
        return poolGroupId;
    }

    public void setPoolGroupId(Long poolGroupId) {
        this.poolGroupId = poolGroupId;
    }
}
